<?php
/**
 * @brief		Profile extension: MemberProfile
 * @author		<a href='http://www.invisionpower.com'>Invision Power Services, Inc.</a>
 * @copyright	(c) 2001 - SVN_YYYY Invision Power Services, Inc.
 * @license		http://www.invisionpower.com/legal/standards/
 * @package		IPS Social Suite
 * @subpackage	Points Economies
 * @since		07 Jan 2016
 * @version		SVN_VERSION_NUMBER
 */

namespace IPS\points\extensions\core\Profile;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * @brief	Profile extension: MemberProfile
 */
class _MemberProfile
{
	/**
	 * Member
	 */
	protected $member;
	
	/**
	 * Constructor
	 *
	 * @param	\IPS\Member	$member	Member whose profile we are viewing
	 * @return	void
	 */
	public function __construct( \IPS\Member $member )
	{
		$this->member = $member;
		
		foreach( $member->currencies() as $currency )
		{
			if ( $currency->can( 'view' ) )
			{
				$this->currencies[] = $currency;
			}
		}
	}
	
	/**
	 * @brief	
	 */
	protected $currencies = array();
	
	/**
	 * Is there content to display?
	 *
	 * @return	bool
	 */
	public function showTab()
	{
		/* Not yet implemented */
		return FALSE;
		
		//return ! empty( $this->currencies );
	}
	
	/**
	 * Display
	 *
	 * @return	string
	 */
	public function render()
	{
		$economies = \IPS\Application::allExtensions( 'points', 'Economies' );
		return \IPS\Theme::i()->getTemplate( 'economies' )->profileTab( $this->member, $economies, $this->currencies );
	}
}