<?php
/**
 * @brief		Uninstall callback
 * @author		<a href='http://www.invisionpower.com'>Invision Power Services, Inc.</a>
 * @copyright	(c) 2001 - SVN_YYYY Invision Power Services, Inc.
 * @license		http://www.invisionpower.com/legal/standards/
 * @package		IPS Social Suite
 * @subpackage	Member Points Economy
 * @since		29 Dec 2015
 * @version		SVN_VERSION_NUMBER
 */

namespace IPS\points\extensions\core\Uninstall;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * Uninstall callback
 */
class _Uninstall
{
	/**
	 * Code to execute before the application has been uninstalled
	 *
	 * @param	string	$application	Application directory
	 * @return	array
	 */
	public function preUninstall( $application )
	{
	
	}

	/**
	 * Code to execute after the application has been uninstalled
	 *
	 * @param	string	$application	Application directory
	 * @return	array
	 */
	public function postUninstall( $application )
	{
		$gatewayFile = \IPS\ROOT_PATH . '/applications/nexus/sources/Gateway/Points/Points.php';
		$htmlFile = \IPS\ROOT_PATH . '/applications/nexus/sources/Gateway/Points/index.html';
		$gatewayDir = \IPS\ROOT_PATH . '/applications/nexus/sources/Gateway/Points';
		
		if ( file_exists( $gatewayFile ) )
		{
			unlink( $gatewayFile );
		}
		
		if ( file_exists( $htmlFile ) )
		{
			unlink( $htmlFile );
		}
		
		if ( is_dir( $gatewayDir ) )
		{
			try
			{
				rmdir( $gatewayDir );
			}
			catch( \Exception $e ) { }
		}
	}
}