//<?php

class points_hook_ipsNexusInvoiceItemRenewal extends _HOOK_CLASS_
{

	/**
	 * On Paid
	 *
	 * @param	\IPS\nexus\Invoice	$invoice	The invoice
	 * @return	void
	 */
	public function onPaid( \IPS\nexus\Invoice $invoice )
	{
		try
		{
			try
			{
				$purchase = \IPS\nexus\Purchase::load( $this->id );
				$package = \IPS\nexus\Package::load( $purchase->item_id );
				
				$package->creditPoints( $invoice, $this );
			}
			catch( \OutOfRangeException $e ) { }
			
			return call_user_func_array( 'parent::onPaid', func_get_args() );
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return call_user_func_array( 'parent::' . __FUNCTION__, func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
	
	/**
	 * On Unpaid
	 *
	 * @param	\IPS\nexus\Invoice	$invoice	The invoice
	 * @param	string			$status		Status
	 * @return	void
	 */
	public function onUnpaid( \IPS\nexus\Invoice $invoice, $status )
	{		
				try
				{
			try
			{
				$purchase = \IPS\nexus\Purchase::load( $this->id );
				$package = \IPS\nexus\Package::load( $purchase->item_id );
				
				$package->debitPoints( $invoice, $this );
			}
			catch( \OutOfRangeException $e ) { }
			
			return call_user_func_array( 'parent::onUnpaid', func_get_args() );
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return call_user_func_array( 'parent::' . __FUNCTION__, func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
	
}