<?php


namespace IPS\points\modules\admin\points;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * settings
 */
class _settings extends \IPS\Dispatcher\Controller
{
	/**
	 * Execute
	 *
	 * @return	void
	 */
	public function execute()
	{
		\IPS\Dispatcher::i()->checkAcpPermission( 'settings_manage' );
		parent::execute();
	}

	/**
	 * ...
	 *
	 * @return	void
	 */
	protected function manage()
	{
		$form = new \IPS\Helpers\Form( 'points_economy_settings' );
		
		$form->add( new \IPS\Helpers\Form\Translatable( 'points_economy_description', NULL, FALSE, array
		(
			'app'		=> 'points',
			'key'		=> "points_economy_full_description",
			'editor'	=> array(
				'app'			=> 'points',
				'key'			=> 'Generic',
				'autoSaveKey'		=> "points-economy-description",
				'minimize'		=> 'points_economy_description_placeholder'
			)
		) ) );
		$form->add( new \IPS\Helpers\Form\Number( 'points_circulating_ttl', \IPS\Settings::i()->points_circulating_ttl, TRUE, array( 'min' => 0 ) ) );
		
		if ( $values = $form->values() )
		{
			$form->saveAsSettings( array( 'points_circulating_ttl' => $values[ 'points_circulating_ttl' ] ) );
			\IPS\Lang::saveCustom( 'points', "points_economy_full_description", $values[ 'points_economy_description' ] );
			
			\IPS\Output::i()->redirect( \IPS\Request::i()->url(), 'points_settings_saved' );
		}
		
		\IPS\Output::i()->title = \IPS\Member::loggedIn()->language()->addToStack( 'points_economy_settings' );
		\IPS\Output::i()->output = $form;
	}
	
}