<?php


namespace IPS\points\modules\front\points;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * economy
 */
class _economy extends \IPS\Dispatcher\Controller
{
	/**
	 * Execute
	 *
	 * @return	void
	 */
	public function execute()
	{
		
		parent::execute();
	}

	/**
	 * Economies Homepage
	 *
	 * @return	void
	 */
	protected function manage()
	{
		$economies = \IPS\Application::allExtensions( 'points', 'Economies' );
		
		\IPS\Output::i()->title = \IPS\Member::loggedIn()->language()->addToStack( 'points_economies' );
		\IPS\Output::i()->output = \IPS\Theme::i()->getTemplate( 'economies' )->economyHome( $economies );
	}
	
	/**
	 * Currency Statistics Page
	 *
	 * @return	void
	 */
	protected function statistics()
	{
		$currency = \IPS\points\Currency::loadAndCheckPerms( \IPS\Request::i()->currency, 'view' );
		
		\IPS\Output::i()->title = $currency->_title;
		\IPS\Output::i()->output = \IPS\Theme::i()->getTemplate( 'economies' )->currencyOverview( array( $currency ) );
		
		\IPS\Output::i()->breadcrumb[] = array( NULL, $currency->_title );
	}
	
}