<?php
/**
 * @brief		Member Points Systems
 * @author		Kevin Carwile (http://www.linkedin.com/in/kevincarwile)
 * @copyright		(c) 2015 - Kevin Carwile
 * @package		Points
 * @since		19 Nov 2015
 */

namespace IPS\points;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * Points System Configuration
 */
abstract class _Account
{
	/**
	 * Get Icon
	 *
	 * @return	string		HTML Output
	 */
	public function icon()
	{
		return '<i class="fa fa-institution"></i>';
	}
	
	/**
	 * Get Title
	 *
	 * @return	string		Account Title
	 */
	public function title()
	{
		return 'Untitled Account';
	}
	
	/**
	 * Get Summary
	 *
	 * @return	string		HTML Output
	 */
	public function summary()
	{	
		return 'Empty';
	}
	
	/**
	 * Convert to string
	 *
	 * @return	string
	 */
	public function __toString()
	{
		try
		{
			return \IPS\Theme::i()->getTemplate( 'dashboard', 'points', 'front' )->accountSummary( $this );
		}
		catch( \Exception $e )
		{
			return $e->getMessage();
		}
	}

}
