<?php
/**
 * @brief		Member Points Systems
 * @author		Kevin Carwile (http://www.linkedin.com/in/kevincarwile)
 * @copyright		(c) 2015 - Kevin Carwile
 * @package		Points
 * @since		19 Nov 2015
 */

namespace IPS\points\Transaction;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * Points Transaction Log
 */
class _Register extends \IPS\Patterns\ActiveRecord
{

	/**
	 * @brief	[ActiveRecord] Multiton Store
	 */
	protected static $multitons;
	
	/**
	 * @brief	[ActiveRecord] Database Table
	 */
	public static $databaseTable = 'points_transactions';
	
	/**
	 * @brief	[ActiveRecord] Database Prefix
	 */
	public static $databasePrefix = 'transaction_';
	
	/**
	 * Load Transaction
	 */
	public function transaction()
	{
		switch ( $this->type )
		{
			case \IPS\points\TRANSACTION_CREDIT:
			
				return \IPS\points\Transaction\Credit::load( $this->parent_id );
				
			case \IPS\points\TRANSACTION_DEBIT:
				
				return \IPS\points\Transaction\Debit::load( $this->parent_id );
		}
	}

}
